<div class="popup" *ngIf="data">
  <div class="popup-header">{{data.title}}</div>
  <div class="popup-msg">{{ data.message}}</div>
  <div class="popup-footer">
    <div class="popup-btn" cdkFocusInitial (click)="onClose()">{{data.buttonName}}</div>
  </div>
</div>